## FmPathEntry FmPathEntry — An entry to enter path with completion. |

## Functions

FmPath * | fm_path_entry_get_path ()
FmPathEntry * | fm_path_entry_new ()
void | fm_path_entry_set_path ()

## Properties

gboolean | highlight-completion-match | Read / Write

## Types and Values

| FmPathEntry
| FmPathEntryClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkEntry
                        ╰── FmPathEntry

## Implemented Interfaces

FmPathEntry implements AtkImplementorIface, GtkBuildable, GtkEditable and GtkCellEditable.

## Description

`include` : libfm/fm-gtk.h

The FmPathEntry represents a widget to enter folder path for changing current directory. The path entry supports completion and can be used for both UNIX path or file URI entering. The path is represented in the entry unescaped therefore there is no way to enter escape sequence (such as %23) into entry.

## Functions

### fm_path_entry_get_path ()

    FmPath *
    fm_path_entry_get_path (FmPathEntry *entry);

Retrieves the current path in the `entry` . Returned data are owned by `entry` and should be not freed by caller.

#### Parameters

entry | the widget to inspect |

#### Returns

the current path.

[transfer none]

Since: 0.1.10

### fm_path_entry_new ()

    FmPathEntry *
    fm_path_entry_new ();

Creates new path entry widget.

#### Returns

a new FmPathEntry object.

[transfer full]

Since: 0.1.0

### fm_path_entry_set_path ()

    void
    fm_path_entry_set_path (FmPathEntry *entry,
                            FmPath *path);

Sets new path into enter field.

#### Parameters

entry | a widget to apply |
path | new path to set |

Since: 0.1.10

## Types and Values

### FmPathEntry

    typedef struct _FmPathEntry FmPathEntry;

### FmPathEntryClass

    typedef struct _FmPathEntryClass FmPathEntryClass;

## Property Details

### The `“highlight-completion-match”` property

      “highlight-completion-match” gboolean

The “highlight-completion-match” property is the flag whether the completion match should be highlighted or not.

Flags: Read / Write

Default value: TRUE

Since: 0.1.0